# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	The ipxping utility
Name:		ipxping
Version:	0.0
Release:	alt1_12
License:	Public Domain
Group:		Networking/Other
URL:		https://ibiblio.org/pub/Linux/system/Network/
Source0:	https://ibiblio.org/pub/Linux/system/Network/%{name}-%{version}.tar.gz
Patch0:		ipxping-kernel-2.2.patch
Requires:	ipxutils
Source44: import.info

%description
This is a Linux version of IPXPING which was originally written for Sun machines
using the /dev/nit interface, by Stephen Clover <cloverst@kai.ee.cit.ac.nz>
and Justin Hoon <hoonju@kai.ee.cit.ac.nz>.

%prep

%setup -q -n %{name}
%patch0


%build
gcc %{optflags} -o ipxping ipxping-linux.c

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install ipxping %{buildroot}%{_bindir}
install ipxping.1 %{buildroot}%{_mandir}/man1

%files
%doc README*
%attr(0755,root,root) %{_bindir}/ipxping
%{_mandir}/man1/ipxping.1*




%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.0-alt1_12
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_11
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_10
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_9
- new version

